Page MenuHomePhabricator

MediaWiki API deprecation warnings
Closed, ResolvedPublic

Description

[warn/api/main][eswiki/Alejandro_Jodorowsky] Template Fetch Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes. Use [[Special:ApiFeatureUsage]] to see usage of deprecated features by your application.
[warn/api/revisions][eswiki/Alejandro_Jodorowsky] Template Fetch Because "rvslots" was not specified, a legacy format has been used for the output. This format is deprecated, and in the future the new format will always be used.

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterPrepare for MCR

Event Timeline

ssastry created this task.Aug 2 2018, 11:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2018, 11:01 PM
ssastry triaged this task as High priority.Aug 2 2018, 11:01 PM
ssastry lowered the priority of this task from High to Medium.Aug 2 2018, 11:12 PM

https://lists.wikimedia.org/pipermail/wikitech-l/2018-August/090463.html says documentation is missing and will be updated tomorrow -- but that this can be safely ignored for now.

Lofhi edited projects, added MediaWiki-API; removed Parsoid.Aug 3 2018, 6:10 AM
ssastry reopened this task as Open.Aug 3 2018, 1:19 PM
ssastry edited projects, added Parsoid; removed MediaWiki-API.

This should remain open for Parsoid to fix the warning. The documentation gap doesn't eliminate the need for us to fix it when the docs are written up.

Masti added a subscriber: Masti.Aug 3 2018, 9:45 PM

Change 450876 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Prepare for MCR

https://gerrit.wikimedia.org/r/450876

This might be a little higher priority given how much logspam it's producing.

bearND added a subscriber: bearND.Aug 7 2018, 3:34 AM

Change 450876 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Prepare for MCR

https://gerrit.wikimedia.org/r/450876

Arlolra closed this task as Resolved.Aug 8 2018, 3:59 PM
Arlolra claimed this task.

Mentioned in SAL (#wikimedia-operations) [2018-08-16T18:52:39Z] <arlolra> Updated Parsoid to rGPARdbbad6a6cc05 (T201115)